Bug 191274 - [exp-run] security/gnutls3: update to 3.2.15 and move to security/gnutls
[exp-run] security/gnutls3: update to 3.2.15 and move to security/gnutls
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: Tijl Coosemans
:
: 182195 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-22 13:38 UTC by Tijl Coosemans
Modified: 2014-09-13 18:45 UTC (History)
2 users (show)

See Also:
tijl: exp‑run?


Attachments
patch (157.67 KB, patch)
2014-06-22 13:38 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (158.11 KB, patch)
2014-06-30 18:53 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (156.40 KB, patch)
2014-07-07 08:23 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (155.50 KB, patch)
2014-07-21 10:47 UTC, Tijl Coosemans
no flags Details | Diff
patch5 (193.64 KB, patch)
2014-07-22 17:55 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-06-22 13:38:25 UTC
Created attachment 144027 [details]
patch

The attached patch updates security/gnutls3 to version 3.2.15, cleans up the Makefile a bit and moves the port to security/gnutls.  PORTREVISION has been bumped on all ports that depend on security/gnutls or security/gnutls3.
Comment 1 Tijl Coosemans freebsd_committer 2014-06-22 13:41:55 UTC
Assign to maintainer for review (and exp-run).
Comment 2 Bryan Drewery freebsd_committer 2014-06-30 17:46:41 UTC
Seems fine, was libtasn1 support removed upstream? I see the option was removed.
Comment 3 Tijl Coosemans freebsd_committer 2014-06-30 18:11:42 UTC
(In reply to Bryan Drewery from comment #2)
> Seems fine, was libtasn1 support removed upstream? I see the option was
> removed.

It's still included but I think it's better to depend on the libtasn port instead of using the bundled copy.
Comment 4 Tijl Coosemans freebsd_committer 2014-06-30 18:53:18 UTC
Created attachment 144293 [details]
patch2

Patch rebased against current ports tree.
Comment 5 Antoine Brodin freebsd_committer 2014-07-01 18:25:19 UTC
I see you removed USES=makeinfo, does it build in a world WITHOUT_INFO?
Comment 6 Tijl Coosemans freebsd_committer 2014-07-01 18:45:31 UTC
(In reply to Antoine Brodin from comment #5)
> I see you removed USES=makeinfo, does it build in a world WITHOUT_INFO?

Yeah I discovered that after I had reuploaded the patch and added it back, but figured it wasn't worth uploading another one.
Comment 7 Tijl Coosemans freebsd_committer 2014-07-07 08:23:52 UTC
Created attachment 144477 [details]
patch3

Patch rebased against current ports tree
Comment 8 Tijl Coosemans freebsd_committer 2014-07-07 08:26:08 UTC
Assign to portmgr for exp-run
Comment 9 Antoine Brodin freebsd_committer 2014-07-20 20:44:58 UTC
Take for exp-run.
Could you provide an updated patch?  I will run it monday or tuesday if the baseline is not too bad.
Comment 10 Tijl Coosemans freebsd_committer 2014-07-21 10:47:57 UTC
Created attachment 144833 [details]
patch4

Patch rebased against current ports tree
Comment 11 Antoine Brodin freebsd_committer 2014-07-22 06:19:38 UTC
Exp-run results:  http://package18.nyi.freebsd.org/build.html?mastername=91amd64-default-PR191274&build=2014-07-21_12h25m31s

There were 8 new failures:

+ {"origin"=>"irc/ctrlproxy", "pkgname"=>"ctrlproxy-3.0.8_7", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"mail/anubis", "pkgname"=>"anubis-4.1.1_11", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"mail/libvmime", "pkgname"=>"libvmime-0.9.1_9", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"net-im/jabber", "pkgname"=>"jabber-1.6.1.1_16,1", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/gnomint", "pkgname"=>"gnomint-1.2.1_6", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"security/libprelude", "pkgname"=>"libprelude-1.0.1_4", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/openvas-libnasl", "pkgname"=>"openvas-libnasl-2.0.1_12", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/heartbeat", "pkgname"=>"heartbeat-2.1.4_24", "phase"=>"build", "errortype"=>"termios"}
Comment 12 Tijl Coosemans freebsd_committer 2014-07-22 17:55:52 UTC
Created attachment 144884 [details]
patch5

Updated patch
Comment 13 Antoine Brodin freebsd_committer 2014-07-23 05:26:36 UTC
Exp-run results:

http://package18.nyi.freebsd.org/build.html?mastername=91amd64-default-PR191274&build=2014-07-22_18h14m57s

New failure:

+ {"origin"=>"irc/ctrlproxy", "pkgname"=>"ctrlproxy-3.0.8_7", "phase"=>"build", "errortype"=>"linker_error"}

Failure log:

http://package18.nyi.freebsd.org/data/91amd64-default-PR191274/2014-07-22_18h14m57s/logs/errors/ctrlproxy-3.0.8_7.log

Fix it and the patch can go in.
Comment 14 commit-hook freebsd_committer 2014-07-23 09:54:52 UTC
A commit references this bug:

Author: tijl
Date: Wed Jul 23 09:54:14 UTC 2014
New revision: 362645
URL: http://svnweb.freebsd.org/changeset/ports/362645

Log:
  - Replace security/gnutls with security/gnutls3 and update to 3.2.15
  - Bump PORTREVISION on all ports that depend on security/gnutls and
    adjust all ports that depend on security/gnutls3
  - Update mail/anubis to version 4.2 which supports gnutls 3.x
  - Update mail/libvmime to a development snapshot (recommended by upstream
    developers)

  PR:		191274
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/MOVED
  head/audio/ario/Makefile
  head/audio/pianobar/Makefile
  head/benchmarks/postal/Makefile
  head/databases/freetds/Makefile
  head/databases/freetds-devel/Makefile
  head/deskutils/fusenshi/Makefile
  head/deskutils/taskd/Makefile
  head/deskutils/taskwarrior/Makefile
  head/devel/gsoap/Makefile
  head/devel/gwenhywfar/Makefile
  head/devel/gwenhywfar-fox16/Makefile
  head/devel/gwenhywfar-gtk2/Makefile
  head/devel/gwenhywfar-qt4/Makefile
  head/devel/librelp/Makefile
  head/devel/libvirt/Makefile
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/files/patch-src_Makefile.in
  head/editors/emacs-nox11/Makefile
  head/emulators/qemu/Makefile
  head/emulators/qemu-devel/Makefile
  head/emulators/wine/Makefile
  head/emulators/wine-devel/Makefile
  head/ftp/curl/Makefile
  head/ftp/filezilla/Makefile
  head/ftp/lftp/Makefile
  head/ftp/wget/Makefile
  head/ftp/wput/Makefile
  head/games/libggz/Makefile
  head/games/macopix/Makefile
  head/irc/bitlbee/Makefile
  head/irc/ctrlproxy/Makefile
  head/irc/ctrlproxy/files/patch-src_gnutls.c
  head/irc/minbif/Makefile
  head/irc/ngircd/Makefile
  head/irc/scrollz/Makefile
  head/irc/weechat/Makefile
  head/irc/weechat-devel/Makefile
  head/japanese/jd/Makefile
  head/lang/gnustep-base/Makefile
  head/mail/anubis/Makefile
  head/mail/anubis/distinfo
  head/mail/anubis/files/patch-config.h.in
  head/mail/anubis/files/patch-configure.ac
  head/mail/anubis/files/patch-src__headers.h
  head/mail/anubis/pkg-plist
  head/mail/claws-mail/Makefile
  head/mail/courier-imap/Makefile
  head/mail/exim/Makefile
  head/mail/libetpan/Makefile
  head/mail/libvmime/Makefile
  head/mail/libvmime/distinfo
  head/mail/libvmime/files/patch-cmake__FindIconv.cmake
  head/mail/libvmime/files/patch-configure
  head/mail/libvmime/files/patch-src__mailboxField.cpp
  head/mail/libvmime/files/patch-src__vmime__platforms__posix__posixHandler.cpp
  head/mail/libvmime/files/patch-vmime__base.hpp
  head/mail/libvmime/files/patch-vmime__utility__smartPtrInt.hpp
  head/mail/libvmime/pkg-plist
  head/mail/mpop/Makefile
  head/mail/msmtp/Makefile
  head/mail/nullmailer/Makefile
  head/mail/opendkim/Makefile
  head/mail/wmbiff/Makefile
  head/mail/xfce4-mailwatch-plugin/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/libav/Makefile
  head/multimedia/vlc/Makefile
  head/net/csync2/Makefile
  head/net/glib-networking/Makefile
  head/net/gtk-vnc/Makefile
  head/net/libgnetwork/Makefile
  head/net/libvncserver/Makefile
  head/net/morebalance/Makefile
  head/net/net6/Makefile
  head/net/remmina-plugins/Makefile
  head/net/samba4/Makefile
  head/net/samba41/Makefile
  head/net/sixxs-aiccu/Makefile
  head/net/spserver/Makefile
  head/net/tigervnc/Makefile
  head/net/vino/Makefile
  head/net/wireshark/Makefile
  head/net-im/finch/Makefile
  head/net-im/gloox/Makefile
  head/net-im/jabber/Makefile
  head/net-im/jabber/files/patch-configure
  head/net-im/jabber/files/patch-jabberd-jabberd.h
  head/net-im/jabber/files/patch-jabberd-mio_tls.cc
  head/net-im/jabber.el/Makefile
  head/net-im/libpurple/Makefile
  head/net-im/loudmouth/Makefile
  head/net-p2p/gtk-gnutella/Makefile
  head/net-p2p/ncdc/Makefile
  head/news/nzbget/Makefile
  head/print/cups-base/Makefile
  head/security/Makefile
  head/security/gnomint/Makefile
  head/security/gnomint/files/patch-src__import.c
  head/security/gnutls/Makefile
  head/security/gnutls/distinfo
  head/security/gnutls/files/
  head/security/gnutls/pkg-descr
  head/security/gnutls/pkg-plist
  head/security/gnutls3/
  head/security/gsasl/Makefile
  head/security/libprelude/Makefile
  head/security/libpreludedb/Makefile
  head/security/openconnect/Makefile
  head/security/openvas-libnasl/Makefile
  head/security/openvas-libraries/Makefile
  head/security/openvas-libraries/files/patch-libopenvas-network.c
  head/security/openvas-plugins/Makefile
  head/security/prelude-lml/Makefile
  head/security/prelude-manager/Makefile
  head/security/py-gnutls/Makefile
  head/security/shishi/Makefile
  head/security/xmlsec1/Makefile
  head/sysutils/gkrellm2/Makefile
  head/sysutils/heartbeat/Makefile
  head/sysutils/heartbeat/files/patch-lib__plugins__quorum__quorumd.c
  head/sysutils/heartbeat/files/patch-membership__quorumd__quorumd.c
  head/sysutils/heartbeat/files/patch-membership__quorumd__quorumdtest.c
  head/sysutils/rsyslog7/Makefile
  head/sysutils/rsyslog7-devel/Makefile
  head/sysutils/rsyslog8/Makefile
  head/sysutils/rsyslog8-devel/Makefile
  head/textproc/iksemel/Makefile
  head/www/aws/Makefile
  head/www/gurlchecker/Makefile
  head/www/hydra/Makefile
  head/www/libmicrohttpd/Makefile
  head/www/mod_gnutls/Makefile
  head/www/retawq/Makefile
  head/www/tntnet/Makefile
  head/www/wwwoffle/Makefile
  head/www/xombrero/Makefile
  head/x11-toolkits/nucleo/Makefile
Comment 15 Rodrigo Osorio freebsd_committer 2014-09-13 18:45:39 UTC
*** Bug 182195 has been marked as a duplicate of this bug. ***